Skip to main content
GET
/
valorant
/
v1
/
queue-status
/
{affinity}
Get queue status (v1)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/queue-status/{affinity}
import requests

url = "https://api.henrikdev.xyz/valorant/v1/queue-status/{affinity}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/queue-status/{affinity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "enabled": true,
      "game_rules": {
        "allow_drop_out": true,
        "allow_lenient_surrender": true,
        "allow_overtime_draw_vote": true,
        "assign_random_agents": true,
        "overtime_win_by_two": true,
        "overtime_win_by_two_capped": true,
        "premier_mode": true,
        "skip_pregame": true
      },
      "high_skill": {
        "max_party_size": 123,
        "max_tier": 123,
        "min_tier": 123
      },
      "maps": [
        {
          "enabled": true,
          "map": {
            "id": "<string>",
            "name": "<string>"
          }
        }
      ],
      "mode": "<string>",
      "mode_id": "<string>",
      "number_of_teams": 123,
      "party_size": {
        "full_party_bypass": true,
        "invalid": [
          123
        ],
        "max": 123,
        "min": 123
      },
      "platforms": [
        "<string>"
      ],
      "ranked": true,
      "required_account_level": 123,
      "skill_disparity": [
        {
          "max_tier": {
            "id": 1,
            "name": "<string>"
          },
          "name": "<string>",
          "tier": 123
        }
      ],
      "team_size": 123,
      "tournament": true
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

Response

Queue status retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0